# Generated by Django 2.1.7 on 2021-04-05 14:59

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
from django.db.models import Q

def create_operators(apps, scheme_editor):

    OperatorModel = apps.get_model('operators', 'OperatorModel')
    CompanyModel = apps.get_model('operators', 'CompanyModel')

    operator_list = ["Optic", "Bandaancha", "Giga", "Multifiber"]

    company_instance = CompanyModel.objects.create(
        name="Multifiber"
    )

    for index, operator in enumerate(operator_list):
        operator_inst = OperatorModel.objects.create(
            name=operator,
            company=company_instance,
            ID=index + 1
        )

def delete_operators(apps, scheme_editor):

    OperatorModel = apps.get_model('operators', 'OperatorModel')
    CompanyModel = apps.get_model('operators', 'CompanyModel')

    operator_list = ["Optic", "Bandaancha", "Multifiber"]

    CompanyModel.objects.filter(name="Multifiber").delete()

    for operator in operator_list:
        OperatorModel.objects.filter(name=operator).delete()

class Migration(migrations.Migration):

    dependencies = [
        ('operators', '0001_initial'),
    ]

    operations = [
        migrations.RunPython(create_operators, delete_operators)
    ]
